<?php
$T_TNS = v('T_TNS');

if ( sizeof($T_TNS) == 0 ) {
	if ( v('ERROR_MSG') ){
		?><h1><?php echo v('ERROR_MSG'); ?></h1><?php
	} else {
		?><h1><?php echo __('com.txt.aucun_tn_en_cours'); ?></h1><?php
	}
} else if ( sizeof($T_TNS) >= 1 ) {
	?><h1><?php echo __('com.bloc.tournois'); ?> - <?php echo zk_jeu(Routage::params(),false,true); ?></h1><?php
	?><table align="center" cellspacing="10px">
		<tr>
			<th>#</th>
			<th><?php echo __('com.table.jeu'); ?></th>
			<th><?php echo __('com.table.nom'); ?></th>
			<th><?php echo __('com.table.type'); ?></th>
			<th><?php echo __('com.table.etat'); ?></th>
			<th><?php echo __('com.table.reglement'); ?></th>
			
		</tr>
		<?php
		foreach ($T_TNS as $UN_TNS){
			if ( !isset($UN_TNS['TNS_CLE'])){ continue; }
			//jeux, nom, type, nombre d'équipe , reglement
			?>
		<tr>
			<td><?php echo $UN_TNS['TNS_CLE']; ?></td>
			<td><?php echo zk_jeu($UN_TNS['TNS_JEU'],false); ?></td>
			<?php $c = $UN_TNS['TNS_TYPE'] == 5?'ladder':'tournoi'; ?>
			<td><?php echo href($UN_TNS['TNS_NOM'],array('controleur'=>$c,'action'=>'voir','params'=>$UN_TNS['TNS_CLE'])); ?></td>
			<td><?php echo zk_type_tournoi($UN_TNS['TNS_TYPE']); ?></td>
			<td><?php echo zk_etat_tournoi($UN_TNS['TNS_ETAT']); ?></td>
			<td><?php echo zk_reglement_pdf($UN_TNS['REG_CLE'],false); ?></td>
		</tr>
			<?php
		}
		?>
	</table>
	<?php
}

?>